version: '3'

services:

    mysqlc:

        image: mysql:5.7

        volumes:
          - data:/var/lib/mysql

        networks:
          backend:
            aliases:
              - mysql

        ports:
          - 3306:3306

        environment:
          - MYSQL_ROOT_HOST=%
          - MYSQL_ROOT_PASSWORD=pass

        restart: always

        command: "mysqld --character-set-server=utf8mb4 --collation-server=utf8mb4_unicode_ci"

    botc:

        image: python:3.9.2

        volumes:
         - .:/usr/src/myapp

        networks:
          - backend

        depends_on:
          - mysqlc

        working_dir: /usr/src/myapp

        command:
          ["bash", "-c", "python -m venv bot_venv && source bot_venv/bin/activate && pip install -r requirements.txt \
          && python -u data_import.py && python -u bot.py"]

        restart: always

volumes:

    data:

networks:

  backend:

    driver: bridge